POST api/sync/credasv2actor/{groupId}/{personId}/{negId}
callback from credas to notify us of actor updates to a case Processes this sync API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| groupId |
The unique identifier of the group resource. |
integer |
Required |
| personId |
The unique identifier of the person resource. |
integer |
Required |
| negId |
The unique identifier of the neg resource. |
integer |
Required |
Body Parameters
The credas v2 actor webhook data contract supplied with the request.
CredasV2ActorWebhookDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| clientId |
The unique identifier of the related client resource. |
globally unique identifier |
None. |
| processId |
The unique identifier of the related process resource. |
globally unique identifier |
None. |
| processActorId |
The unique identifier of the related process actor resource. |
integer |
None. |
| entityId |
The unique identifier of the related entity resource. |
globally unique identifier |
None. |
| smsStatus |
The sms status value. |
integer |
None. |
| smsStatusDescription |
The sms status description value. |
string |
None. |
| emailStatus |
The email status value. |
integer |
None. |
| emailStatusDescription |
The email status description value. |
string |
None. |
Request Formats
application/x-www-form-urlencoded
Sample not available.
application/json, text/json
{
"clientId": "83677ace-419e-4e88-b2a2-05f883678316",
"processId": "fa8486b4-ffe4-4c38-99fe-a2c3c143ec05",
"processActorId": 3,
"entityId": "7a53a731-b7c7-440c-aafb-4893962f8224",
"smsStatus": 5,
"smsStatusDescription": "sample string 6",
"emailStatus": 7,
"emailStatusDescription": "sample string 8"
}
Response Information
Resource Description
The response returned after the operation completes.
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version |
The version value. |
Version |
None. |
| Content |
The content value. |
HttpContent |
None. |
| StatusCode |
The status code classification. |
HttpStatusCode |
None. |
| ReasonPhrase |
The reason phrase value. |
string |
None. |
| Headers |
The collection of headers. |
Collection of Object |
None. |
| RequestMessage |
The request message value. |
HttpRequestMessage |
None. |
| IsSuccessStatusCode |
Indicates whether this item is success status code. |
boolean |
None. |